# Heimdal Kerberos 5 PAC handling functions

## Functions

krb5_error_code | krb5_pac_get_buffer (krb5_context context, krb5_pac p, uint32_t type, krb5_data *data)
krb5_error_code | krb5_pac_verify (krb5_context context, const krb5_pac pac, time_t authtime, krb5_const_principal principal, const krb5_keyblock *server, const krb5_keyblock *privsvr)

## Detailed Description

## Function Documentation

krb5_error_code krb5_pac_get_buffer | ( | krb5_context | context,
|  | krb5_pac | p,
|  | uint32_t | type,
|  | krb5_data * | data |
| ) |  |  |

Get the PAC buffer of specific type from the pac.

Parameters:

  | context | Kerberos 5 context.
  | p | the pac structure returned by krb5_pac_parse().
  | type | type of buffer to get
  | data | return data, free with krb5_data_free().

Returns:
  Returns 0 to indicate success. Otherwise an kerberos et error code is returned, see krb5_get_error_message().

krb5_error_code krb5_pac_verify | ( | krb5_context | context,
|  | const krb5_pac | pac,
|  | time_t | authtime,
|  | krb5_const_principal | principal,
|  | const krb5_keyblock * | server,
|  | const krb5_keyblock * | privsvr |
| ) |  |  |

Verify the PAC.

Parameters:

  | context | Kerberos 5 context.
  | pac | the pac structure returned by krb5_pac_parse().
  | authtime | The time of the ticket the PAC belongs to.
  | principal | the principal to verify.
  | server | The service key, most always be given.
  | privsvr | The KDC key, may be given.

Returns:
  Returns 0 to indicate success. Otherwise an kerberos et error code is returned, see krb5_get_error_message().